#
# spec file for package roundcubemail 
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           roundcubemail
Summary:        A modern browser-based multilingual IMAP client 
Group:          Productivity/Networking/Email/Clients
License:        GNU General Public License (GPL)
Url:            http://www.roundcube.net/
Version:        0.5.4
Release:        1.1
BuildRequires:	pcre-devel
%if 0%{?suse_version}
BuildRequires:  apache2-devel
%endif
%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	httpd-devel
%endif
Requires:       http_daemon mod_php_any php-session php-mysql php-iconv
Requires:       php-gettext php-mbstring php-openssl 
Source0:        %{name}-%{version}.tar.bz2
Source1:        roundcubemail-README.SUSE
Source2:        roundcubemail-httpd.conf
Patch1:         roundcubemail-0.4.2-config-dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%define apache_serverroot %(/usr/sbin/apxs2 -q DATADIR)
%define apache_sysconfdir %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define roundcubepath %{apache_serverroot}/%name
%define roundcubeconfigpath %_sysconfdir/%name

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an
application-like user interface. It provides full  functionality  you
expect from an e-mail client, including MIME support, address book,
folder manipulation, message searching and spell checking.

RoundCube Webmail is written in PHP and requires the  MySQL database.
The user interface is fully skinnable using XHTML and CSS 2.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

%build

%install
install -d -m 0755 %buildroot/%roundcubepath
cp -a * %buildroot/%{roundcubepath}/
mkdir -p %buildroot/%_sysconfdir/%name
cp config/db.inc.php.dist   %buildroot/%{roundcubeconfigpath}/db.inc.php
cp config/main.inc.php.dist %buildroot/%{roundcubeconfigpath}/main.inc.php
cp config/* %buildroot/%{roundcubeconfigpath}/
rm -rf %buildroot/%{roundcubepath}/config

# install httpd.conf file and adapt the configuration
install -d -m 0755 %buildroot/%{apache_sysconfdir}/conf.d
sed -e "s#__ROUNDCUBEPATH__#%{roundcubepath}#g" %{SOURCE2} > %buildroot/%{apache_sysconfdir}/conf.d/roundcubemail.conf

# install docs (SQL directory should not be needed during runtime - move it as well
install -d -m 0755 %buildroot/%_defaultdocdir/%name
for i in CHANGELOG INSTALL UPGRADING LICENSE README SQL; do
    mv -v %buildroot/%roundcubepath/$i %buildroot/%_defaultdocdir/%name/
done
sed -e "s#__ROUNDCUBEPATH__#%{roundcubepath}#g" -e "s#__HTTPCONFDIR__#%{apache_sysconfdir}/conf.d#g" %{SOURCE1} > %buildroot/%_defaultdocdir/%name/README.SUSE

# no need to check .htaccess each time, the apache config takes care of the restrictions
find %buildroot/%{roundcubepath} -name .htaccess -delete
# fix wrong end of line encoding
for file in $(find %buildroot/%{roundcubepath} -type f); do
	sed -i 's/\x0D$//' $file
done
find %buildroot/%roundcubepath -name \*.orig -delete

%clean
rm -rf %buildroot

%files
%defattr(0644, root, root,0755)
%doc %_defaultdocdir/%name/ 
%dir %{roundcubepath}
%dir %{roundcubeconfigpath}
%config %{roundcubeconfigpath}/*.dist
%config(noreplace) %{roundcubeconfigpath}/db.inc.php
%config(noreplace) %{roundcubeconfigpath}/main.inc.php
%config(noreplace) %{roundcubeconfigpath}/mimetypes.php
%config(noreplace) %{apache_sysconfdir}/conf.d/roundcubemail.conf
%{roundcubepath}/index.php
%{roundcubepath}/robots.txt
%attr(0755,root,root) %{roundcubepath}/bin/*.sh
##%{roundcubepath}/bin/*.php
%dir %{roundcubepath}/bin
%{roundcubepath}/installer/
%{roundcubepath}/logs/
%{roundcubepath}/plugins/
%{roundcubepath}/program/
%{roundcubepath}/skins/
%{roundcubepath}/temp/

%changelog
* Sun Sep  4 2011 cs@linux-administrator.com
- update to 0.5.4
* Fri Jan  7 2011 cs@linux-administrator.com
- update to 0.4.2
* Sat Aug  7 2010 cs@linux-administrator.com
- update to 0.4
* Wed Nov  4 2009 opensuse@dstoecker.de
- update to 0.3.1:
* Tue May 19 2009 lars@linux-schulserver.de
- update to 0.2.2:
  + This is a little service release with minor bug fixes and a
    newly added support for STARTTLS in IMAP connections.
* Tue Mar 10 2009 lars@linux-schulserver.de
- update to 0.2.1:
  + more than 40 bug fixes
  + completes some missing translations
  + added TNEF support to decode proprietary MS Outlook attachments
    (winmail.dat)
* Thu Jan  1 2009 lars@linux-schulserver.de
- update to 0.2 stable:
  + many, many bugfixes
  + improved addressbook and global search
  + support multiple quota values
  + added "show_images" option
  + added message status filter
  + ...and many more. Please read the CHANGELOG file
- for updates, please refer to the UPGRADING file
- added bin directory to not allowed paths
* Tue Sep 23 2008 lrupp@suse.de
- update to 0.2-Beta
- move config directory to /etc/roundcubemail
- fix wrong line end encoding
* Thu Jul 24 2008 lrupp@suse.de
- update to 0.2-Alpha1:
  - Added option to disable autocompletion from selected LDAP address books
  - Support for subfolders in default/protected folders
  - Better HTML sanitization with the DOM-based washtml script
  - Fixed sorting of folders with non-ascii characters
  - Made IMAP auth type configurable
  - Fixed attachment list on IE 6/7
  - Expanded LDAP implementation to support LDAP server writes
  - Fixed management of folders with national characters in names
  - Improved messages list performance
  - Fixed non-RFC dates parsing
  - Fixed signature loading on Windows
  - Added language support to HTML editing
  - Added sections (fieldset+label) in Settings interface
  - Added options for empty trash and expunge inbox on logout
  - Removed lines wrapping when displaying message
  - Fixed month localization
  - Changed codebase to PHP5 with autoloader
* Tue Oct 23 2007 lrupp@suse.de
- update to 0.1-rc2:
  + fixes the following bugs:
    1457344 1484356 1484386 1484056 1484383 1484387 1484067 1484373
  1484570 1484395 1483965 1484429 1484552 1484550 1484473 1484490
  1484402 1484508 1484338 1484027 1484426 1484420 1484023 1484290
  1484292 1484292 1484409 1484487 1484496 1484487 1484353 1484379
  1484399
  + Log error when login fails due to auto_create_user turned off
  + Eval PHP code in template includes (if configured)
  + Only display unread count in page title when new messages
    arrived
  + Improved XHTML validation
  + Fixed moving/deleting messages when more than 1 is selected
  + Applied patch for LDAP contacts listing by Glen Ogilvie
  + Identify mailboxes case-sensitive
  + Protect AJAX request from being fetched by a foreign site (XSS)
  + Make autocomplete for loginform configurable by the skin
    template
  + Fixed bug with buttons not dimming/enabling properly after
    switching folders
  + Lowered status message time from 5 to 3 seconds to improve
    responsiveness
  + Fix address adding bug reported by David Koblas
  + Applied socket error patch by Thomas Mangin
  + Pass-by-reference workarround for PHP5 in sendmail.inc
  + Use HTTP-POST requests for actions that change state
- Raised upload_max_filesize from 2M to 5M in apache config
* Sun May 20 2007 lrupp@suse.de
- initial version 0.1-rc1
